org.apache.maven.artifact.repository.layout

## Class DefaultRepositoryLayout

- java.lang.Object
- - org.apache.maven.artifact.repository.layout.DefaultRepositoryLayout

- All Implemented Interfaces:
    ArtifactRepositoryLayout

      public class DefaultRepositoryLayout
      extends java.lang.Object
      implements ArtifactRepositoryLayout

  Author:
    jdcasey

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.artifact.repository.layout.ArtifactRepositoryLayout

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultRepositoryLayout()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `pathOf(Artifact artifact)`
    `java.lang.String` | `pathOfLocalRepositoryMetadata(ArtifactMetadata metadata, ArtifactRepository repository)`
    `java.lang.String` | `pathOfRemoteRepositoryMetadata(ArtifactMetadata metadata)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultRepositoryLayout

          public DefaultRepositoryLayout()

  - ### Method Detail

    - #### pathOf

          public java.lang.String pathOf(Artifact artifact)

      Specified by:
        `pathOf` in interface `ArtifactRepositoryLayout`

    - #### pathOfLocalRepositoryMetadata

          public java.lang.String pathOfLocalRepositoryMetadata(ArtifactMetadata metadata,
                                                       ArtifactRepository repository)

      Specified by:
        `pathOfLocalRepositoryMetadata` in interface `ArtifactRepositoryLayout`

    - #### pathOfRemoteRepositoryMetadata

          public java.lang.String pathOfRemoteRepositoryMetadata(ArtifactMetadata metadata)

      Specified by:
        `pathOfRemoteRepositoryMetadata` in interface `ArtifactRepositoryLayout`